curl --request GET \
--url https://api.qovery.com/cluster/{clusterId}/dnsProvider \
--header 'Authorization: Bearer <token>'{
"dns_provider": {
"provider": "QOVERY",
"domain": "example.com"
}
}Retrieve the DNS provider currently associated with a cluster. Requires VIEWER role.
curl --request GET \
--url https://api.qovery.com/cluster/{clusterId}/dnsProvider \
--header 'Authorization: Bearer <token>'{
"dns_provider": {
"provider": "QOVERY",
"domain": "example.com"
}
}Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Cluster ID
Cluster DNS provider
Show child attributes
Was this page helpful?